#### Description:

This function exempts an Object pointer from AST context handling, as implemented by astBegin and astEnd. This means that the pointer will not be affected when astEnd is invoked and will remain active until the end of the program, or until explicitly annulled using astAnnul.

If possible, you should avoid using this function when writing applications. It is provided mainly for developers of other libraries, who may wish to retain references to AST Objects in internal data structures, and who therefore need to avoid the effects of astBegin and astEnd.

#### Synopsis

void astExempt( AstObject ∗this )

#### Parameters:

##### this

Object pointer to be exempted from context handling.

#### Applicability

##### Object

This function applies to all Objects.
Copyright (C) 2021 East Asian Observatory